Description

I do a REST call (in developer 2024.12.0) from an NG Client to Velocity 3.8.3 as a multipart. Then when | add a JSFile | get the
following error. When | remove the JSFile from the call then it does come through.

Also maybe related to this multipart code. When | send 1 parameter in the multipart then the parameter section in the request is
empty, but the body dopes show the parts.
History

#1 - 03/21/2025 04:46 PM - Patrick Talbot
- File velocityreport.jar added

- Category set to velocity

Looks like they have changed the signature of the JSFile constructor, which now also ask for an IClientPluginAccess parameter...

| still need to keep the compatibility with older Servoy versions though :(

Could you try the attached jar and tell me if this fixes the issue, please?

#2 - 03/22/2025 10:25 AM - Robert Ivens

This version does indeed work for me with 2024.12.
As for my multipart question. It seems that the servlet assumes that a DELETE request never has a payload. In my case | send a multipart payload.
But the request always shows "multipart: false", even though the content-type is set to multipart.

So the parameters property is an empty object and the parts array is not there.

The call works fine with a POST and PUT.

#3 - 03/22/2025 05:52 PM - Patrick Talbot
- File deleted (velocityreport.jar)

#4 - 03/22/2025 05:56 PM - Patrick Talbot
- File velocityreport.jar added

- Status changed from New to Resolved

Both issues are fixed in v3.8.4

Although the specs says that the content received in DELETE has no generally defined semantics, and it is recommended to either reject the request
or ignore the content, | have now allowed in this version for multipart content to be parsed (if present) for any HTTP verbs...

See updated jar attached and v3.8.4 release.

Files

velocityreport.jar 638 KB 03/22/2025 Patrick Talbot

05/13/2025 22


http://www.tcpdf.org

